py27-elasticsearch-dsl-6.4.0_1.txz


Advertisement

Description

py27-elasticsearch-dsl - High level Python client for Elasticsearch

Property Value
Distribution FreeBSD 11
Repository FreeBSD Ports Quarterly i386
Package filename py27-elasticsearch-dsl-6.4.0_1.txz
Package name py27-elasticsearch-dsl
Package version 6.4.0
Package release 1
Package architecture i386
Package type txz
Category python textproc
Homepage https://pypi.org/project/elasticsearch-dsl/
License APACHE20
Maintainer jbaggs2016@gmail.com
Download size 76.39 KB
Installed size 608.60 KB
Elasticsearch DSL is a high-level library whose aim is to help with writing
and running queries against Elasticsearch. It is built on top of the official
low-level client (elasticsearch-py).
It provides a more convenient and idiomatic way to write and manipulate
queries. It stays close to the Elasticsearch JSON DSL, mirroring its terminology
and structure. It exposes the whole range of the DSL from Python either directly
using defined classes or a queryset-like expressions.
It also provides an optional wrapper for working with documents as Python
objects: defining mappings, retrieving and saving documents, wrapping the
document data in user-defined classes.
To use the other Elasticsearch APIs (eg. cluster health) just use the underlying
client.
WWW: https://pypi.org/project/elasticsearch-dsl/

Alternatives

Package Version Architecture Repository
py27-elasticsearch-dsl-6.4.0_1.txz 6.4.0 i386 FreeBSD Ports Latest
py27-elasticsearch-dsl-6.4.0_1.txz 6.4.0 amd64 FreeBSD Ports Latest
py27-elasticsearch-dsl-6.4.0_1.txz 6.4.0 amd64 FreeBSD Ports Quarterly
py27-elasticsearch-dsl - - -

Requires

Name Value
py27-dateutil = 2.8.0
py27-elasticsearch6 = 6.4.0
py27-ipaddress = 1.0.22
py27-setuptools = 41.2.0
py27-six = 1.12.0
python27 = 2.7.16_1

Download

Type URL
Mirror pkg.freebsd.org
Binary Package py27-elasticsearch-dsl-6.4.0_1.txz
Source Package textproc/py-elasticsearch-dsl

Install Howto

Install py27-elasticsearch-dsl txz package:

# pkg install py27-elasticsearch-dsl

See Also

Package Description
py27-elasticsearch5-5.5.2_1.txz Official Python low-level client for Elasticsearch
py27-elasticsearch6-6.4.0_1.txz Official Python low-level client for Elasticsearch
py27-elib.intl-0.0.3_2.txz Enhanced internationalization services for Python modules
py27-email_reply_parser-0.5.9.txz GitHubs Email Reply Parser library for python
py27-emoji-0.5.0.txz Emoji support for Python
py27-empy-3.3.3.txz Powerful and robust templating system for Python
py27-enchant-2.0.0.txz Spellchecking library for Python based on the Enchant library
py27-entrypoints-0.3.txz Discover and load entry points from installed packages
py27-enum-compat-0.0.2.txz Python 3.4 Enum dummy no-op package
py27-enum34-1.1.6.txz Python 3.4 Enum backported to 3.3, 3.2, 3.1, 2.7
py27-envisage-4.8.0.txz Enthought extensible application framework
py27-enzyme-0.4.1_1.txz Python module to parse metadata in video files
py27-epdb-0.15.1.txz Enhanced Python Debugger
py27-epsilon-0.7.3_1.txz Set of Python utility modules used by DivMod projects
py27-errorhandler-1.1.1_1.txz Logging framework handler that tracks when messages above a certain level have been logged
Advertisement
Advertisement